@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    font-size: 100%;
    text-decoration: none;
    background: transparent;
}

body{
    background-image: url("https://w0.peakpx.com/wallpaper/575/52/HD-wallpaper-dragonball-z-kakarot-anime-consoles-dragon-ball-z-ps4-video-game-xbox.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;  
    background-size: cover;
}

section{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    width: 100%;
}


form{
    margin-left: 20px;
}


ul li a{
    font-size: 35px;
    font-weight: 600;
    padding: 10px;
    margin: 0 30px;
    transition: all 0.5s ease;
    color: rgb(255, 0, 0);
    background-color: orange;
    border: 5px solid rgb(0, 0, 0);
    border-radius: 50%;
}

ul li{
    margin-top: 20px;
    margin-bottom: 40px;
}

a:hover{
    color: #ffffff;
    animation: circleRotate 1s linear infinite ;
}




.dbz-img{
    display: flex;
    justify-content: center;
    text-align: center;
}

.dbz-img img{
    width: 200px;
    margin-bottom: 40px;
}

h1{
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
    text-decoration: underline;
    font-size: 20px;
    color: white;
}

.wrapper{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 400px;
    height: 500px;
    background: transparent;
    border: 2px solid rgba(255,255,255,0.5);
    border-radius: 20px;
    backdrop-filter: blur(20px);
}


.inputbox{
    position: relative;
    margin: 30px 0;
    width: 310px;
    border-bottom: 2px solid #fff;
}

.inputbox label{
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%);
    color: #fff;
    font-size: 1em;
    pointer-events: none;
    transition: .5s;
}

input:focus ~ label,
input:valid ~ label{
top: -5px;
}

.inputbox input {
    width: 100%;
    height: 50px;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    padding:0 35px 0 5px;
    color: #fff;
}


.btn{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin-left: 70px;
    width: 170px;
    height: 45px;
    letter-spacing: 1.5px;
    font-size: 20px;
    font-weight: 500;
    text-decoration: none;
    color: rgb(255, 255, 255);
    border-radius: 50px;
    z-index: 1;
    opacity: 0;
    animation: slideLeft .5s ease forwards;
    margin-left: 70px;
}


.btn::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    inset: 0;
    background-size: 200%;
    background-position: 0 0;
    z-index: -1;
    border-radius: 50px;
    transition: .8s ease;
}


.btn:hover::before{
    background-position: 100% 0;
}

.btn::after{
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(45deg, rgb(255, 255, 255), rgb(238, 171, 15), rgb(255, 255, 255));
    background-position: 0 0;
    background-size: 200%;
    z-index: -1;
    border-radius: 50px;
    transition: .8s ease;
}

.btn:hover:after{
    background-position: 100% 0;
}


@keyframes slideLeft {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }
    100%{
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes circleRotate {
    0%{
        transform: rotate(0);
    }
    100%{
        transform: rotate(360deg);
    }
}